package com.qmth.jkserver.enums;

/**
 * 考生违纪类型
 * @author tianjun
 *
 */
public enum ExamCheatType {

	JIADAI("夹带抄袭", 0);

    private String name;

    private int id;

    private ExamCheatType(String name, int id) {
        this.name = name;
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public int getId() {
        return id;
    }

    public static ExamCheatType findById(int id) {
        for (ExamCheatType status : ExamCheatType.values()) {
            if (status.id == id) {
                return status;
            }
        }
        return null;
    }

}
